
SITE_QUOTAS = {}


def save_site_quota_info(site, limit):
    if SITE_QUOTAS.has_key(site.domain) == 0:
        SITE_QUOTAS[site.domain] = [ site.__dict__, limit.__dict__ ]

def get_site_quota_info(domain):
    return SITE_QUOTAS[domain]

USER_QUOTAS = {}

def save_user_quota_info(user, limit):
    if USER_QUOTAS.has_key(user.username) == 0:
        USER_QUOTAS[user.username] = [ user.__dict__, limit.__dict__ ]

def get_user_quota_info(username):
    return USER_QUOTAS[username]

RESELLERS = {}

def save_reseller(reseller):
    RESELLERS[reseller.id] = reseller

def get_reseller(id):
    if RESELLERS.has_key(id) == 1:
        return RESELLERS[id]
    else:
        return None

def get_resellers():
    return RESELLERS

ADMINS = {}

def save_site_admin(admin):
    ADMINS[admin.id] = admin

def get_site_admin(id):
    if ADMINS.has_key(id) == 1:
        return ADMINS[id]
    else:
        return None

def get_admins():
    return ADMINS


